rules:
  # Bronze
  action-setup:
    status: exempt
    comment: |
      No custom actions.
  appropriate-polling: done
  brands: done
  common-modules: done
  config-flow-test-coverage: done
  config-flow: done
  dependency-transparency: done
  docs-actions:
    status: exempt
    comment: |
      No custom actions.
  docs-high-level-description: done
  docs-installation-instructions: done
  docs-removal-instructions: done
  entity-event-setup:
    status: exempt
    comment: |
      Does not subscribe to event explicitly.
  entity-unique-id: done
  has-entity-name: done
  runtime-data: done
  test-before-configure: done
  test-before-setup: done
  unique-config-entry: done

  # Silver
  action-exceptions:
    status: exempt
    comment: |
      No actions
  config-entry-unloading: done
  docs-configuration-parameters:
    status: exempt
    comment: |
      Has no options flow
  docs-installation-parameters:
    status: exempt
    comment: |
      Handled by OAuth flow (HA is only one with credentials, users cannot get them)
  entity-unavailable: done
  integration-owner: done
  log-when-unavailable: done
  parallel-updates: done
  reauthentication-flow: done
  test-coverage: todo

  # Gold
  devices:
    status: exempt
    comment: |
      Web services only
  diagnostics: todo
  discovery-update-info:
    status: exempt
    comment: |
      Web services only
  discovery:
    status: exempt
    comment: |
      Web services only
  docs-data-update: todo
  docs-examples: done
  docs-known-limitations: done
  docs-supported-devices:
    status: exempt
    comment: |
      No devices
  docs-supported-functions: todo
  docs-troubleshooting: todo
  docs-use-cases: done
  dynamic-devices:
    status: exempt
    comment: |
      No devices
  entity-category: done
  entity-device-class: done
  entity-disabled-by-default:
    status: exempt
    comment: |
      No unnecessary or noisy entities
  entity-translations: done
  exception-translations: todo
  icon-translations: done
  reconfiguration-flow:
    status: exempt
    comment: |
      Handled by OAuth
  repair-issues:
    status: exempt
    comment: |
      Does not have any repairs
  stale-devices:
    status: exempt
    comment: |
      Does not have devices

  # Platinum
  async-dependency: todo
  inject-websession: todo
  strict-typing: todo
